
Installer - Bug #33808

Foreman Proxy Templates feature only listens to https by default

10/29/2021 04:30 PM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: Foreman modules   

Target version: 3.0.2   

Difficulty:  Fixed in Releases: 3.0.2, 3.1.0

Triaged: No Found in Releases: 3.0.1

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-for

eman_proxy/pull/711,

https://github.com/theforeman/puppet-for

eman_proxy/pull/729,

https://github.com/theforeman/foreman-i

nstaller/pull/751

  

Description

commit:cf0da38cc900f3d927e4de9eed8f4fabc7c5bedc introduced a regression and only made it listen on https instead of both.

Associated revisions

Revision 0d5afc55 - 10/29/2021 06:15 PM - Ewoud Kohl van Wijngaarden

Fixes #33808 - Make templates listen on both again

In cf0da38cc900f3d927e4de9eed8f4fabc7c5bedc the parameters were changed

and this unintentionally introduced a regression by changing the default

from both to https.

Fixes: cf0da38cc900f3d927e4de9eed8f4fabc7c5bedc

History

#1 - 10/29/2021 04:30 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/puppet-foreman_proxy/pull/711 added

#2 - 10/29/2021 06:15 PM - The Foreman Bot

- Fixed in Releases 3.1.0 added

#3 - 10/29/2021 07:01 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman_proxy|0d5afc55976bbdcde8a8941a337a6364778ec133.

#4 - 02/23/2022 11:06 AM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-foreman_proxy/pull/729 added

#5 - 02/24/2022 12:41 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/751 added

#6 - 02/24/2022 01:36 PM - The Foreman Bot

- Fixed in Releases 3.0.2 added
